RDKit: ChemicalFeatures::ChemicalFeature Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ChemicalFeatures::ChemicalFeature Class Referenceabstract

abstract base class for chemical feature More...

`#include <ChemicalFeature.h>`

Inheritance diagram for ChemicalFeatures::ChemicalFeature:

## Public Member Functions
| ChemicalFeature ()
virtual | ~ChemicalFeature ()
virtual int | getId () const =0
virtual const std::string & | getType () const =0
virtual const std::string & | getFamily () const =0
virtual RDGeom::Point3D | getPos () const =0

## Detailed Description

abstract base class for chemical feature

Definition at line 19 of file ChemicalFeature.h.

## Constructor & Destructor Documentation

## ◆ ChemicalFeature()

ChemicalFeatures::ChemicalFeature::ChemicalFeature | ( |  | ) |
| inline

Definition at line 21 of file ChemicalFeature.h.

## ◆ ~ChemicalFeature()

virtual ChemicalFeatures::ChemicalFeature::~ChemicalFeature | ( |  | ) |
| inlinevirtual

Definition at line 22 of file ChemicalFeature.h.

## Member Function Documentation

## ◆ getFamily()

virtual const std::string & ChemicalFeatures::ChemicalFeature::getFamily | ( |  | ) | const
| pure virtual

Implemented in ChemicalFeatures::FreeChemicalFeature, and RDKit::MolChemicalFeature.

## ◆ getId()

virtual int ChemicalFeatures::ChemicalFeature::getId | ( |  | ) | const
| pure virtual

Implemented in ChemicalFeatures::FreeChemicalFeature, and RDKit::MolChemicalFeature.

## ◆ getPos()

virtual RDGeom::Point3D ChemicalFeatures::ChemicalFeature::getPos | ( |  | ) | const
| pure virtual

Implemented in ChemicalFeatures::FreeChemicalFeature, and RDKit::MolChemicalFeature.

## ◆ getType()

virtual const std::string & ChemicalFeatures::ChemicalFeature::getType | ( |  | ) | const
| pure virtual

Implemented in ChemicalFeatures::FreeChemicalFeature, and RDKit::MolChemicalFeature.

The documentation for this class was generated from the following file:

- ChemicalFeature.h